Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226080 - Merge Review: libXmu
Summary: Merge Review: libXmu
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:31 UTC by Nobody's working on this, feel free to take it
Modified: 2008-01-17 02:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-17 02:47:30 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:31:39 UTC
Fedora Merge Review: libXmu

http://cvs.fedora.redhat.com/viewcvs/devel/libXmu/
Initial Owner: sandmann@redhat.com

Comment 1 Parag AN(पराग) 2007-09-03 15:33:00 UTC
rpmlint on Binary rpm gave me
E: libXmu zero-length /usr/share/doc/libXmu-1.0.3/AUTHORS
  => Remove zero-length files from installing them on system.

W: libXmu invalid-license MIT/X11
The value of the License tag was not recognized.  Known values are:
"AFL", "Affero GPL", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL 1.1+", "ASL 2.0",
"ASL 2.0+", "APSL 2.0", "APSL 2.0+", "Artistic clarified", "Boost", "BSD with
advertising", "BSD", "CeCILL", "CDDL", "CPL", "Condor", "Cryptix", "EPL",
"eCos", "EFL 2.0", "EFL 2.0+", "EU Datagrid", "GPL+", "GPLv2", "GPLv2+",
"GPLv3", "GPLv3+", "IBM", "iMatix", "Intel ACPI", "Interbase", "Jabber",
"LaTeX", "LGPL+", "LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv3",
"LGPLv3+", "LPL", "mecab-ipadic", "MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1",
"MPLv1.1+", "NCSA", "NGPL", "NOSL", "Netscape", "Nokia", "OpenLDAP", "OSL
1.0", "OSL 1.0+", "OpenSSL", "Phorum", "PHP", "Public Domain", "Python",
"QPL", "RPSL", "Ruby", "Sleepycat", "SMLNJL", "SISSL", "SPL", "Vim", "VNLSL",
"VSL", "W3C", "WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+",
"ZPLv2.0", "ZPLv2.0+", "zlib", "CDL", "FBSDDL", "GFDL", "Open Publication",
"CC-BY", "CC-BY-SA", "DSL", "Free Art", "Arphic", "SIL Open Font",
"Redistributable, no modification permitted", "Freely redistributable without
restriction".
 =>update license tag. (MIT looks ok but X11 is not recognized or this warning
can be ignored then)


W: libXmu obsolete-not-provided XFree86-libs
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a compatible
replacement for the old one, leave out the provides.

W: libXmu obsolete-not-provided xorg-x11-libs
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a compatible
replacement for the old one, leave out the provides.
=> add Provides: tag with versions
   check
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-3cfc1ea19d28975faad9d56f70a6ae55661d3c3d



Comment 2 Parag AN(पराग) 2008-01-11 09:26:23 UTC
This is merge-review where maintainer should be assumed to be capable of solving
simple packaging issues and not required to ask reviewer to give patch.



Comment 3 Parag AN(पराग) 2008-01-11 10:52:00 UTC
sandmann,
   As you asked me to provide patch here it is
--- libXmu.spec 2007-08-22 02:15:49.000000000 +0530
+++ libXmu-new.spec     2008-01-11 16:17:51.000000000 +0530
@@ -1,15 +1,14 @@
 Summary: X.Org X11 libXmu/libXmuu runtime libraries
 Name: libXmu
 Version: 1.0.3
-Release: 3%{?dist}
-License: MIT/X11
+Release: 4%{?dist}
+License: MIT
 Group: System Environment/Libraries
 URL: http://www.x.org
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2
 
-BuildRequires: pkgconfig
 BuildRequires: xorg-x11-util-macros
 BuildRequires: libX11-devel
 BuildRequires: libXext-devel
@@ -107,6 +106,9 @@
 %{_libdir}/pkgconfig/xmuu.pc
 
 %changelog
+* Fri Jan 11 2008 parag <paragn@fedoraproject.org> 1.0.3-4
+- Merge-review #226076
+
 * Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 1.0.3-3
 - Rebuild for build id

Review this patch and open ACL for this package if you are not have enough time
to resolve this ticket.



Comment 4 Søren Sandmann Pedersen 2008-01-11 19:21:59 UTC
Looks fine, please commit.


Comment 5 Parag AN(पराग) 2008-01-16 06:38:12 UTC
thanks.

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.